Bug 116348 - --use-service=name --libs broken
--use-service=name --libs broken
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: ORBit2 (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-20 08:22 EST by Martin Blom
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-19 12:53:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Blom 2004-02-20 08:22:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
orbit2-config --libs --use-service=name

returns -lORBitCosNaming when it should in fact return -lORBitCosNaming-2.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. orbit2-config --libs --use-service=name


Actual Results:  -pthread -Wl,--export-dynamic -lORBitCosNaming
-lORBit-2 -lgobject-2.0 -lgthread-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lm


Expected Results:  -pthread -Wl,--export-dynamic -lORBitCosNaming-2
-lORBit-2 -lgobject-2.0 -lgthread-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lm


Additional info:

--- /usr/bin/orbit2-config~     2003-10-22 23:41:40.000000000 +0200
+++ /usr/bin/orbit2-config      2004-02-20 14:20:04.000000000 +0100
@@ -95,7 +95,7 @@
    --use-service=*)
        case $optarg in
            name)
-               services="$services -lORBitCosNaming"
+               services="$services -lORBitCosNaming-2"
                ;;
            *)
                usage
Comment 1 Mark McLoughlin 2004-03-19 12:53:59 EST
This script is deprecated and you should use 

 $> pkg-config --libs ORBit-CosNaming-2.0

I've fixed this upstream anyway:

2004-03-19  Mark McLoughlin  <mark@skynet.ie>
                                                                     
                                                                         
        * orbit2-config.in: return -lORBitCosNaming-2 with
        --use-service=name rather than -lORBitCosNaming.
        This script is still deprecated old cruft, though.
                                                                     
                                                                         

Note You need to log in before you can comment on or make changes to this bug.